Bug 158165 - Network installation fails on Sony VAIO PCG-Z600TEK
Network installation fails on Sony VAIO PCG-Z600TEK
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-19 06:47 EDT by Duncan Innes
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 16:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Duncan Innes 2005-05-19 06:47:53 EDT
Description of problem:
Installation crashes at IP address stage.

Version-Release number of selected component (if applicable):


How reproducible:
Crashes every time on the Sony laptop, has never crashed on a Toshiba Portege
7140 laptop.


Steps to Reproduce:
1. Insert installation CD 1 and boot machine
2. type "linux askmethod"
3. select HTTP as installation method
4. select either DHCP or enter a manual IP address
  
Actual results:
installation hangs for a minute or so, then crashes

Expected results:
expect IP address to be assigned properly

Additional info:
I reported a similar bug a while ago (RedHat 7 stage I think).  The problem
seems to be to do with the sound controller and network port sharing the same
IRQ (I think - memory is a bit fuzzy from this long ago).

This seems to bear out though, as I used to get (sound but no network) or
(network but no sound) at that stage.

Don't think the dhcp component is perhaps the right place for this bug, but I'm
not up enough with Fedora to know what component is in control at this point of
the installation.
Comment 1 Jason Vas Dias 2005-05-19 09:44:00 EDT
You said:
> 4. select either DHCP or enter a manual IP address
And anaconda still crashes ? This seems to rule out DHCP as the 
culprit.
Moving this bug to anaconda.
Comment 2 Jeremy Katz 2005-05-19 10:29:02 EDT
How does it crash?
Comment 3 Duncan Innes 2005-05-19 13:24:53 EDT
I don't think this is anaconda.  I put dhcp down as it was as close to
the network driver as I could figure.

The screen hangs with just the text instructions at the bottom of the
page for around a minute.  I know that the DHCP or manual IP assigning
takes less than the blink of an eye from the multitudinous
installations I've done this way.

The there is white text on the blue background stating:

install exited abnormally -- received signal 11

other messages then run to the effect that the system is shutting down
as cleanly as it can.  The messages are all printed without the line
feed, but no carriage return so the text looks a bit screwed.

I looked at the Alt+F3 breakout screen to see if anything strange had
happened, but there is nothing out of the ordinary there.
Comment 4 Duncan Innes 2005-06-14 11:59:55 EDT
I've now tested this bug with a network install of Fedora Core 4 final.

Doing an FTP install (don't think it makes a difference from the HTTP installs
I'd been doing before), the system crashed again during install.  This happens
regardless of whether a DHCP address is asked for, or an assigned IP address is
used.

Pressing Ctrl+Alt+F3 gave the following info:

* need to set up networking
* going to pick interface
* only have one network device: eth0
* going to do a getNetConfig
* eth0 isn't a wireless adaptor
* waiting for link...
* 0 seconds
* running dhcp for eth0   (not present when using assigned IP address)
* waiting for link...     (not present when using assigned IP address)
* 0 seconds               (not present when using assigned IP address)
* reverse name lookup failed

This is the last entry.

There is no long delay during these crashed however.  The previous tests I had
done had quite a delay before the system crashed.
Comment 5 Kai 'wusel' Siering 2005-06-18 20:22:11 EDT
Same problem here -- Vaio PCG-Z600NE(CH) (Z600TEK of original pos-
ter is rather similar to it's predecessor, my Z600NE), FC4 final
from the torrent.

Booting with either FC4-i386-rescuecd.iso or FC4-i386-disc1.iso
burnt to a CD, "linux askmethod" works UNTIL eth0 get's an IP
address -- after configuring eth0 (at least it's pingable from
the LAN from that point), all what's left is the infamous "in-
stall exited abnormally -- received signal 11".

It does not matter wheter to use DHCP or to configure the interface
manually, as soon as it's configured, there's this signal 11-abort.

Ctrl+Alt+F3 looks similar as previously reported
(https://bugzilla.redhat.com/bugzilla-old/show_bug.cgi?id=158165#c4),
but in my case,
the reverse lookup did succeed. It's "0 seconds" here as well --
the network cable was plugged in and the switches are rather sim-
ple minded ;)

This very laptop does run FC1 (installed via CD at that time) quite
nicely. The laptop is powered by an Pentium III, could it be an op-
timization issue (P4 vs. P3, see release notes: "Fedora Core 4 is
optimized for Pentium 4 CPUs, but also supports earlier CPUs [...]")?

Regards,
-kai
Comment 6 Jonathan Cheyer 2005-07-10 11:17:19 EDT
I am having the same problem with a Sony Vaio PCG-Z505JE. I am unable
to install FC4 Final using NFS. Previous successful installation was
FC2 Final installed via CD.

The problem still occurs even if interface is configured manually and
hostname has a reverse name lookup:

* need to set up networking
* going to pick interface
* only have one network device: eth0
* going to do a getNetConfig
* eth0 isn't a wireless adaptor
* waiting for link...
* 0 seconds
* reverse name lookup worked

After that, I get the same white-on-blue "Install exited abnormally --
received signal 11" message. Termination signals are sent and it ends
with "you may safely reboot your system".
Comment 7 Duncan Innes 2005-11-15 12:51:20 EST
Right,

An update . . .

There have been some "unofficial" FC4 CD's created (and I think the second
update may be available by now).  These disks take the original FC4 CD's and
update all the rpm's & kernels etc to the latest available through the yum
repositories.

I can report complete success when doing a CD install via the FC4.1 CD's.

I'm guessing that there was something broken with the installation kernel on the
original CD's.  Anyway - I'm now (finally) using FC4 on my old VAIO.

Only problem now . . . the CPU fan has packed in!
Comment 8 Chris Lumens 2006-08-03 16:18:28 EDT
This should be fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.